Page MenuHomePhabricator

[DebugInstrRef][2/9] Parse debug instruction-references from/to MIR
ClosedPublic

Authored by jmorse on Aug 11 2020, 9:12 AM.

Details

Summary

This patch defines a MIR format for debug instruction references: it's an integer trailing an instruction, marked out by "debug-instr-number", much like how "debug-location" identifies the DebugLoc metadata of an instruction. I'm not wed to this name, or particularly to this syntax, but something is needed.

I've added a round-trip test and two verifier checks: that we don't label meta-instructions as generating values, and that there are no duplicates.

Diff Detail

Unit TestsFailed

TimeTest
30 mslinux > LLVM.DebugInfo/MIR/InstrRef::instr-ref-roundtrip.mir
Script: -- : 'RUN: at line 1'; /mnt/disks/ssd0/agent/llvm-project/build/bin/llc /mnt/disks/ssd0/agent/llvm-project/llvm/test/DebugInfo/MIR/InstrRef/instr-ref-roundtrip.mir -march=x86-64 -run-pass=machineverifier -o - -experimental-debug-variable-locations | /mnt/disks/ssd0/agent/llvm-project/build/bin/FileCheck /mnt/disks/ssd0/agent/llvm-project/llvm/test/DebugInfo/MIR/InstrRef/instr-ref-roundtrip.mir
80 mswindows > LLVM.DebugInfo/MIR/InstrRef::instr-ref-roundtrip.mir
Script: -- : 'RUN: at line 1'; c:\ws\w1\llvm-project\premerge-checks\build\bin\llc.exe C:\ws\w1\llvm-project\premerge-checks\llvm\test\DebugInfo\MIR\InstrRef\instr-ref-roundtrip.mir -march=x86-64 -run-pass=machineverifier -o - -experimental-debug-variable-locations | c:\ws\w1\llvm-project\premerge-checks\build\bin\filecheck.exe C:\ws\w1\llvm-project\premerge-checks\llvm\test\DebugInfo\MIR\InstrRef\instr-ref-roundtrip.mir

Event Timeline

jmorse created this revision.Aug 11 2020, 9:12 AM
Herald added a project: Restricted Project. · View Herald TranscriptAug 11 2020, 9:12 AM
aprantl accepted this revision.Aug 19 2020, 8:38 AM
This revision is now accepted and ready to land.Aug 19 2020, 8:38 AM
This revision was landed with ongoing or failed builds.Oct 14 2020, 2:58 AM
This revision was automatically updated to reflect the committed changes.